FacadeTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.entity.FacadeTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.entity
Class FacadeTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.entity.EntityTagsHandler
                      xdoclet.modules.ejb.entity.FacadeTagsHandler

public class FacadeTagsHandler
extends EntityTagsHandler

Version:
  $Revision: 1.3 $
Author:
  Konstantin Pribluda (kpriblouda@yahoo.com)
xdoclet.taghandler
  namespace="EjbFacade"
created
  September 8, 2002

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`FacadeTagsHandler()`

Method Summary
`String` | `beanPermission()` generate permission spec - inherit from bean
`String` | `beanRef()` generate bean reference
`boolean` | `canUseLocal()`
`String` | `entityFacadeClass()` produce class name for ejb facade
`String` | `facadeEjbName()` prodice facade ejb name.
`static String` | `getEntityFacadeClassFor(xjavadoc.XClass clazz)`
`protected static String` | `getEntityFacadeClassPattern()`
`protected static String` | `getEntityFacadeEjbNamePattern()` Gets the EntityFacadeEjbNamePattern attribute of the FacadeTagsHandler class
`String` | `getFacadeEjbNameFor(xjavadoc.XClass clazz)`
`static String` | `getRemoteFacadeClassFor(xjavadoc.XClass clazz)`
`protected static String` | `getRemoteFacadeClassPattern()` Gets the EntityFacadeClassPattern attribute of the CmpTagsHandler class
`void` | `ifUseLocalInterface(String template, Properties attributes)` decide whether we have to use local interface of the bean
`void` | `ifUseRemoteInterface(String template, Properties attributes)` decide whether we have to use remote interface of the bean
`String` | `jndiName()` jndi name if any or default
`String` | `localJndiName()` local jndi name if any
`String` | `remoteFacadeClass()`
`String` | `sessionType()` provide session type
`String` | `viewType()` provide view type for facade bean - inherit from class if not specified

Methods inherited from class xdoclet.modules.ejb.entity.EntityTagsHandler
`forAllEjbSelectMethods, forAllEntityBeans, ifEntity, isEjbSelectMethod, isEntity, persistenceType, reentrant`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacadeTagsHandler

    public FacadeTagsHandler()

Method Detail

### getEntityFacadeClassFor

    public static String getEntityFacadeClassFor(xjavadoc.XClass clazz)

### getRemoteFacadeClassFor

    public static String getRemoteFacadeClassFor(xjavadoc.XClass clazz)

### getRemoteFacadeClassPattern

    protected static String getRemoteFacadeClassPattern()

  Gets the EntityFacadeClassPattern attribute of the CmpTagsHandler class

  Returns:
    The EntityFacadeClassPattern value

### getEntityFacadeClassPattern

    protected static String getEntityFacadeClassPattern()

### getEntityFacadeEjbNamePattern

    protected static String getEntityFacadeEjbNamePattern()

  Gets the EntityFacadeEjbNamePattern attribute of the FacadeTagsHandler class

  Returns:
    The EntityFacadeEjbNamePattern value

### getFacadeEjbNameFor

    public String getFacadeEjbNameFor(xjavadoc.XClass clazz)
                               throws XDocletException

  Throws:
    `XDocletException`

### entityFacadeClass

    public String entityFacadeClass()
                             throws XDocletException

  produce class name for ejb facade

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### remoteFacadeClass

    public String remoteFacadeClass()
                             throws XDocletException

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### facadeEjbName

    public String facadeEjbName()
                         throws XDocletException

  prodice facade ejb name. Default would be

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### canUseLocal

    public boolean canUseLocal()
                        throws XDocletException

  Throws:
    `XDocletException`

### ifUseLocalInterface

    public void ifUseLocalInterface(String template,
                                    Properties attributes)
                             throws XDocletException

  decide whether we have to use local interface of the bean

  Parameters:
    `template` -
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifUseRemoteInterface

    public void ifUseRemoteInterface(String template,
                                     Properties attributes)
                              throws XDocletException

  decide whether we have to use remote interface of the bean

  Parameters:
    `template` -
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### sessionType

    public String sessionType()
                       throws XDocletException

  provide session type

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### viewType

    public String viewType()
                    throws XDocletException

  provide view type for facade bean - inherit from class if not specified

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### localJndiName

    public String localJndiName()
                         throws XDocletException

  local jndi name if any

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### jndiName

    public String jndiName()
                    throws XDocletException

  jndi name if any or default

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### beanPermission

    public String beanPermission()
                          throws XDocletException

  generate permission spec - inherit from bean

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### beanRef

    public String beanRef()
                   throws XDocletException

  generate bean reference

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD